View Issue Details

IDProjectCategoryView StatusLast Update
0037486FPCDocumentationpublic2021-03-08 12:31
ReporterSven Barth Assigned ToMichael Van Canneyt  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.2.0 
Fixed in Version3.3.1 
Summary0037486: Language Reference Guide should mention availability of floating point types
DescriptionCurrently the Language Reference Guide ( https://freepascal.org/docs-html/current/ref/refsu5.html#x27-300003.1.2 ) does not mention that not all floating types (especially Extended) are available on all platforms. This is mentioned in the Programmer's Guide ( https://freepascal.org/docs-html/current/prog/progsu159.html#x203-2110008.2.5 ), but not everyone is going to look there. Also it's not mentioned that Extended is not available on Win64 (by default).

Sidenote: a Comp type is available on all platforms, however on any except x86 (excluding Win64 again) it's handled as an Int64 instead of by the FPU.
TagsNo tags attached.
Fixed in Revision1768
FPCOldBugId
FPCTarget3.2.2
Attached Files

Activities

Michael Van Canneyt

2020-11-08 20:57

administrator   ~0126803

Improved the reference documentation, but also refer to programmer's guide.

Sven Barth

2021-03-05 22:51

manager   ~0129417

Sorry for the late followup, but we should not say that the Single type is available on all platforms, at least not without restrictions: for example on AVR the type is not available by default. The whole floating point stuff is disabled there by default, cause the software emulation code is too heavyweight for that poor micro controller (and it doesn't have hardware floating point).

Michael Van Canneyt

2021-03-07 09:51

administrator   ~0129461

Fixed in rev. 1807

Sven Barth

2021-03-08 12:31

manager   ~0129508

Better, thanks. :)

Issue History

Date Modified Username Field Change
2020-08-05 07:38 Sven Barth New Issue
2020-08-05 07:38 Sven Barth Status new => assigned
2020-08-05 07:38 Sven Barth Assigned To => Michael Van Canneyt
2020-11-08 20:57 Michael Van Canneyt Status assigned => resolved
2020-11-08 20:57 Michael Van Canneyt Resolution open => fixed
2020-11-08 20:57 Michael Van Canneyt Fixed in Version => 3.3.1
2020-11-08 20:57 Michael Van Canneyt Fixed in Revision => 1768
2020-11-08 20:57 Michael Van Canneyt FPCTarget => 3.2.2
2020-11-08 20:57 Michael Van Canneyt Note Added: 0126803
2021-03-05 22:51 Sven Barth Status resolved => feedback
2021-03-05 22:51 Sven Barth Resolution fixed => open
2021-03-05 22:51 Sven Barth Note Added: 0129417
2021-03-07 09:51 Michael Van Canneyt Status feedback => resolved
2021-03-07 09:51 Michael Van Canneyt Resolution open => fixed
2021-03-07 09:51 Michael Van Canneyt Note Added: 0129461
2021-03-08 12:31 Sven Barth Status resolved => closed
2021-03-08 12:31 Sven Barth Note Added: 0129508